:host {
  display: inline-flex;
  align-items: center;
  height: var(--height, 1em);
  font-size: var(--size, inherit);
  line-height: var(--height, 1em);
  overflow: hidden;
  vertical-align: middle;
  font-variant-numeric: tabular-nums;
  white-space: nowrap;
}
.wrapper {
  display: flex;
  align-items: center;
  height: var(--height, 1em);
  overflow: hidden;
}
.number-wrapper,
.number-wrapper.discrete {
  display: flex;
  align-items: flex-start;
  height: var(--height, 1em);
  overflow: hidden;
}
.part {
  display: inline-block;
  height: var(--height, 1em);
  overflow: hidden;
  position: relative;
}
.digit-wrapper {
  display: flex;
  flex-direction: column;
  animation-timing-function: linear;
  animation-fill-mode: forwards;
  will-change: transform;
}
.digit {
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
  height: var(--height, 1em);
  line-height: var(--height, 1em);
  flex: 0 0 var(--height, 1em);
}
.decimal-delimeter {
  display: flex;
  align-items: center;
  height: var(--height, 1em);
  line-height: var(--height, 1em);
  padding: 0 1px;
}
@keyframes up {
  from { transform: translateY(0); }
  to { transform: translateY(-100%); }
}
